%define anolis_release 1
Name:           python-networkx
Version:        2.8.3
Release:        %{anolis_release}%{?dist}
Summary:        Creates and Manipulates Graphs and Networks
License:        BSD
URL:            https://networkx.org/
Source0:        https://github.com/networkx/networkx/archive/networkx-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist matplotlib}
BuildRequires:  %{py3_dist numpy}
BuildRequires:  %{py3_dist pandas}
BuildRequires:  %{py3_dist pip}
BuildRequires:  %{py3_dist pygments}
BuildRequires:  %{py3_dist scipy}
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist wheel}

%description
NetworkX is a Python package for the creation, manipulation, and
study of the structure, dynamics, and functions of complex networks.

%package -n python3-networkx
Summary:        Creates and Manipulates Graphs and Networks
Recommends:     %{py3_dist lxml}
Recommends:     %{py3_dist pydot}
Recommends:     %{py3_dist pygraphviz}
Recommends:     xdg-utils

%description -n python3-networkx
NetworkX is a Python 3 package for the creation, manipulation, and
study of the structure, dynamics, and functions of complex networks.

%prep
%autosetup -n networkx-networkx-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files networkx
mv %{buildroot}%{_docdir}/networkx-%{version} ./installed-docs
rm -f installed-docs/INSTALL.txt

%check

%files -n python3-networkx -f %{pyproject_files}


%changelog
* Fri Jun 10 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.8.3-1
- init from upstream
